Bug 114093 - DoubleClick on Fields (Text) should open Field Options - fails in 6.0.0.0 beta1
Summary: DoubleClick on Fields (Text) should open Field Options - fails in 6.0.0.0 beta1
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All Windows (All)
: high normal
Assignee: Bernhard
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2017-11-27 13:02 UTC by Thomas Krumbein
Modified: 2018-02-02 18:12 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Krumbein 2017-11-27 13:02:58 UTC
Description:
In writer documents we can insert field like date or pagenumber (Menu insert - fields...).
After inserting to document a Doubleclick on that field opens the Option Dialog for that field. 

Does not work in LO 6.0,.0.0.Beta1

Steps to Reproduce:
1. create a new writer document
2. insert a field (f.e. aktual Date or Pagenumber) Menu: insert - fields - date
3. doubleClick on the inserted field

Actual Results:  
nothing happend

Expected Results:
Option dialog should open


Reproducible: Always


User Profile Reset: Yes



Additional Info:
attention: doesn´t work in 6.0.0.0.Beta1!! 

I may remember, that it worked in 6.0.0.0.Alpha1!


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Jacques Guilleron 2017-11-27 15:12:51 UTC
Hi Thomas,

I reproduce withI can do it by click on the field
LO 6.0.0.0.beta1 Build ID: 97471ab4eb4db4c487195658631696bb3238656c
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : en-US (fr_FR); Calc: CL
and
LO 6.0.0.0.alpha1+ Build ID: 380d6afe5fd691f6ad4b17fc38b79b9fca4ba906
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-10-22_09:58:27
Locale: fr-FR (fr_FR); Calc: CL
but not with
LO 6.0.0.0.alpha0+ Build ID: e0aed1459513be5e08fab9de06848df5dc9d0b5f
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-09-20_06:45:25
Locale: fr-FR (fr_FR); Calc: CL
and the anterior versions.less
I can do it by a right click on the field, next choosing Fields, but this is less direct.
Comment 2 Aron Budea 2017-12-01 07:25:19 UTC
Bibisected to the commit referenced below using repo bibisect-linux-64-6.0. Adding Cc: to Bernhard Widl, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7d5245848c28f5786258476cd7aa2a4523645de3
author		Bernhard Widl <bernhard.widl@cib.de>	2017-09-15 17:39:48 +0200
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-09-19 01:11:25 +0200

tdf#79877 revert to old behavior when clicking on input fields.
Comment 3 Commit Notification 2017-12-06 13:27:55 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c41d4e229deb5ae9d5d06df6c8d2585619bc102

tdf#114093 fixing regression when clicking on fields

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-12-06 15:53:42 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=72172b4568fb74669fd2269ef29176527363f024&h=libreoffice-6-0

tdf#114093 fixing regression when clicking on fields

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Jacques Guilleron 2018-02-02 18:12:30 UTC
Hi all,
Works as ecpected in
LO  6.0.0.1 (x64) Build ID: d2bec56d7865f05a1003dc88449f2b0fdd85309a
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
and upper versions

Thank you very much, Bernhard.